Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Support
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
P
Postgres FD Implementation
Project overview
Project overview
Details
Activity
Releases
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Issues
0
Issues
0
List
Boards
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Analytics
Analytics
CI / CD
Repository
Value Stream
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
Abuhujair Javed
Postgres FD Implementation
Commits
c469aed1
Commit
c469aed1
authored
Jul 11, 2006
by
Tom Lane
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
Remove no-longer-needed configure test for krb5_encrypt(), per Jim Gates.
parent
4fe8ba63
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
1 addition
and
133 deletions
+1
-133
configure
configure
+0
-130
configure.in
configure.in
+1
-3
No files found.
configure
View file @
c469aed1
...
@@ -6573,136 +6573,6 @@ echo "$as_me: error: could not find function 'com_err' required for Kerberos 5"
...
@@ -6573,136 +6573,6 @@ echo "$as_me: error: could not find function 'com_err' required for Kerberos 5"
{
(
exit
1
)
;
exit
1
;
}
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
fi
echo
"
$as_me
:
$LINENO
: checking for library containing krb5_encrypt"
>
&5
echo
$ECHO_N
"checking for library containing krb5_encrypt...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_search_krb5_encrypt
+set
}
"
=
set
;
then
echo
$ECHO_N
"(cached)
$ECHO_C
"
>
&6
else
ac_func_search_save_LIBS
=
$LIBS
ac_cv_search_krb5_encrypt
=
no
cat
>
conftest.
$ac_ext
<<
_ACEOF
/* confdefs.h. */
_ACEOF
cat
confdefs.h
>>
conftest.
$ac_ext
cat
>>
conftest.
$ac_ext
<<
_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char krb5_encrypt ();
int
main ()
{
krb5_encrypt ();
;
return 0;
}
_ACEOF
rm
-f
conftest.
$ac_objext
conftest
$ac_exeext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_link
\"
"
)
>
&5
(
eval
$ac_link
)
2>conftest.er1
ac_status
=
$?
grep
-v
'^ *+'
conftest.er1
>
conftest.err
rm
-f
conftest.er1
cat
conftest.err
>
&5
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
&&
{
ac_try
=
'test -s conftest$ac_exeext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
ac_cv_search_krb5_encrypt
=
"none required"
else
echo
"
$as_me
: failed program was:"
>
&5
sed
's/^/| /'
conftest.
$ac_ext
>
&5
fi
rm
-f
conftest.err conftest.
$ac_objext
\
conftest
$ac_exeext
conftest.
$ac_ext
if
test
"
$ac_cv_search_krb5_encrypt
"
=
no
;
then
for
ac_lib
in
krb5
'krb5 -ldes -lasn1 -lroken'
crypto k5crypto
;
do
LIBS
=
"-l
$ac_lib
$ac_func_search_save_LIBS
"
cat
>
conftest.
$ac_ext
<<
_ACEOF
/* confdefs.h. */
_ACEOF
cat
confdefs.h
>>
conftest.
$ac_ext
cat
>>
conftest.
$ac_ext
<<
_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char krb5_encrypt ();
int
main ()
{
krb5_encrypt ();
;
return 0;
}
_ACEOF
rm
-f
conftest.
$ac_objext
conftest
$ac_exeext
if
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_link
\"
"
)
>
&5
(
eval
$ac_link
)
2>conftest.er1
ac_status
=
$?
grep
-v
'^ *+'
conftest.er1
>
conftest.err
rm
-f
conftest.er1
cat
conftest.err
>
&5
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
&&
{
ac_try
=
'test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
&&
{
ac_try
=
'test -s conftest$ac_exeext'
{
(
eval echo
"
$as_me
:
$LINENO
:
\"
$ac_try
\"
"
)
>
&5
(
eval
$ac_try
)
2>&5
ac_status
=
$?
echo
"
$as_me
:
$LINENO
:
\$
? =
$ac_status
"
>
&5
(
exit
$ac_status
)
;
}
;
}
;
then
ac_cv_search_krb5_encrypt
=
"-l
$ac_lib
"
break
else
echo
"
$as_me
: failed program was:"
>
&5
sed
's/^/| /'
conftest.
$ac_ext
>
&5
fi
rm
-f
conftest.err conftest.
$ac_objext
\
conftest
$ac_exeext
conftest.
$ac_ext
done
fi
LIBS
=
$ac_func_search_save_LIBS
fi
echo
"
$as_me
:
$LINENO
: result:
$ac_cv_search_krb5_encrypt
"
>
&5
echo
"
${
ECHO_T
}
$ac_cv_search_krb5_encrypt
"
>
&6
if
test
"
$ac_cv_search_krb5_encrypt
"
!=
no
;
then
test
"
$ac_cv_search_krb5_encrypt
"
=
"none required"
||
LIBS
=
"
$ac_cv_search_krb5_encrypt
$LIBS
"
else
{
{
echo
"
$as_me
:
$LINENO
: error: could not find function 'krb5_encrypt' required for Kerberos 5"
>
&5
echo
"
$as_me
: error: could not find function 'krb5_encrypt' required for Kerberos 5"
>
&2
;
}
{
(
exit
1
)
;
exit
1
;
}
;
}
fi
echo
"
$as_me
:
$LINENO
: checking for library containing krb5_sendauth"
>
&5
echo
"
$as_me
:
$LINENO
: checking for library containing krb5_sendauth"
>
&5
echo
$ECHO_N
"checking for library containing krb5_sendauth...
$ECHO_C
"
>
&6
echo
$ECHO_N
"checking for library containing krb5_sendauth...
$ECHO_C
"
>
&6
if
test
"
${
ac_cv_search_krb5_sendauth
+set
}
"
=
set
;
then
if
test
"
${
ac_cv_search_krb5_sendauth
+set
}
"
=
set
;
then
...
...
configure.in
View file @
c469aed1
dnl Process this file with autoconf to produce a configure script.
dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.46
7 2006/06/18 18:30:2
0 tgl Exp $
dnl $PostgreSQL: pgsql/configure.in,v 1.46
8 2006/07/11 16:14:5
0 tgl Exp $
dnl
dnl
dnl Developers, please strive to achieve this order:
dnl Developers, please strive to achieve this order:
dnl
dnl
...
@@ -671,8 +671,6 @@ if test "$with_krb5" = yes ; then
...
@@ -671,8 +671,6 @@ if test "$with_krb5" = yes ; then
if test "$PORTNAME" != "win32"; then
if test "$PORTNAME" != "win32"; then
AC_SEARCH_LIBS(com_err, [krb5 'krb5 -ldes -lasn1 -lroken' com_err], [],
AC_SEARCH_LIBS(com_err, [krb5 'krb5 -ldes -lasn1 -lroken' com_err], [],
[AC_MSG_ERROR([could not find function 'com_err' required for Kerberos 5])])
[AC_MSG_ERROR([could not find function 'com_err' required for Kerberos 5])])
AC_SEARCH_LIBS(krb5_encrypt, [krb5 'krb5 -ldes -lasn1 -lroken' crypto k5crypto], [],
[AC_MSG_ERROR([could not find function 'krb5_encrypt' required for Kerberos 5])])
AC_SEARCH_LIBS(krb5_sendauth, [krb5 'krb5 -ldes -lasn1 -lroken'], [],
AC_SEARCH_LIBS(krb5_sendauth, [krb5 'krb5 -ldes -lasn1 -lroken'], [],
[AC_MSG_ERROR([could not find function 'krb5_sendauth' required for Kerberos 5])])
[AC_MSG_ERROR([could not find function 'krb5_sendauth' required for Kerberos 5])])
else
else
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment